# makefile for Linux

###### Tools

CXX = g++

###### Compiler/linker flags

INC_PATH  = -I../src
CXX_FLAGS = -g
LIB_PATH  = -L../dev

###### Targets

default: exampl01 exampl02 exampl03 exampl04 exampl05

exampl01 : exampl01.o basicmsg.o
	$(CXX) $(CXX_FLAGS) $(INC_PATH) exampl01.o basicmsg.o \
		$(LIB_PATH) -lmimepp_core -o exampl01

exampl02 : exampl02.o basicmsg.o
	$(CXX) $(CXX_FLAGS) $(INC_PATH) exampl02.o basicmsg.o \
		 $(LIB_PATH) -lmimepp_core -o exampl02

exampl03 : exampl03.o basicmsg.o multipar.o
	$(CXX) $(CXX_FLAGS) $(INC_PATH) exampl03.o basicmsg.o multipar.o \
		$(LIB_PATH) -lmimepp_core -lmimepp_util -o exampl03

exampl04 : exampl04.o basicmsg.o multipar.o
	$(CXX) $(CXX_FLAGS) $(INC_PATH) exampl04.o basicmsg.o multipar.o \
		$(LIB_PATH) -lmimepp_core -lmimepp_util -o exampl04

exampl05 : exampl05.o basicmsg.o multipar.o attach.o
	$(CXX) $(CXX_FLAGS) $(INC_PATH) exampl05.o basicmsg.o multipar.o attach.o \
		$(LIB_PATH) -lmimepp_core -lmimepp_util -o exampl05

.SUFFIXES: .cpp

.cpp.o:
	$(CXX) $(CXX_FLAGS) -c $(INC_PATH) $<
